unit Setup;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ColorGrd;

type
  TParams = class(TForm)
    Button1: TButton;
    Button2: TButton;
    GroupBox1: TGroupBox;
    ColorGrid1: TColorGrid;
    GroupBox2: TGroupBox;
    TrackBar1: TTrackBar;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Label3: TLabel;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Params: TParams;
  Speed: Byte;
  Txt: String;
  ForeColor: Byte;
  BackColor: Byte;

implementation

uses Main;

{$R *.DFM}

procedure TParams.FormShow(Sender: TObject);
begin
  MainForm.Enabled:=False;
  TrackBar1.Position:=Speed;
  Edit1.Text:=Txt;
  ColorGrid1.ForegroundIndex:=ForeColor;
  ColorGrid1.BackgroundIndex:=BackColor;
end;

procedure TParams.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  MainForm.enabled:=True;
end;

procedure TParams.Button2Click(Sender: TObject);
begin
  Close;
end;

procedure TParams.FormCreate(Sender: TObject);
begin
  Speed:=4;
  Txt:='       Windows95   .';
  ForeColor:=15;
  BackColor:=0;
end;

procedure TParams.Button1Click(Sender: TObject);
begin
  Speed:=TrackBar1.Position;
  Txt:=Edit1.Text;
  ForeColor:=ColorGrid1.ForegroundIndex;
  BackColor:=ColorGrid1.BackgroundIndex;
  Close;
  Pos:=0;
  MainForm.Panel1.Caption:='';
end;

end.
