unit FileBox;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Grids, Outline, DirOutln, FileCtrl, ExtCtrls;

type
  TSearchFile = class(TForm)
    DriveComboBox1: TDriveComboBox;
    FilterComboBox1: TFilterComboBox;
    FileListBox1: TFileListBox;
    DirectoryOutline1: TDirectoryOutline;
    Label1: TLabel;
    Label2: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Memo1: TMemo;
    Label3: TLabel;
    Timer1: TTimer;
    procedure DriveComboBox1Change(Sender: TObject);
    procedure DirectoryOutline1Change(Sender: TObject);
    procedure FileListBox1Change(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SearchFile: TSearchFile;

implementation

uses Main;

{$R *.DFM}

procedure TSearchFile.DriveComboBox1Change(Sender: TObject);
begin
  DirectoryOutline1.Drive:=DriveComboBox1.Drive;
end;

procedure TSearchFile.DirectoryOutline1Change(Sender: TObject);
begin
  FileListBox1.Directory:=DirectoryOutLine1.Directory;
end;

procedure TSearchFile.FileListBox1Change(Sender: TObject);
begin
  if FileListBox1.FileName<>'' then
  Memo1.Lines.LoadFromFile(FileListBox1.FileName);
end;

procedure TSearchFile.FormShow(Sender: TObject);
begin
  MainForm.Enabled:=False;
end;

procedure TSearchFile.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  MainForm.Enabled:=True;
end;

procedure TSearchFile.BitBtn2Click(Sender: TObject);
begin
  Close;
end;

procedure TSearchFile.BitBtn1Click(Sender: TObject);
begin
  FileName:=FileListBox1.FileName;
  MainForm.Memo1.Lines.LoadFromFile(FileName);
  MainForm.Edit1.Text:=FileName;
  Close;
end;

procedure TSearchFile.Timer1Timer(Sender: TObject);
begin
  if FileListBox1.FileName='' then BitBtn1.Enabled:=False
    else BitBtn1.Enabled:=True;
end;

end.
