unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TMainForm = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Panel1: TPanel;
    Label1: TLabel;
    Button4: TButton;
    Button5: TButton;
    Label2: TLabel;
    Timer1: TTimer;
    procedure Button5Click(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Timer1Timer(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;
  T: TBitmap;
  FileName: String;
  Pos: Integer;

implementation

uses FileBox, Setup;

{$R *.DFM}

procedure TMainForm.Button5Click(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.FormPaint(Sender: TObject);
  var i, j: Integer;
begin
  for i:=1 to 5 do
    for j:=1 to 5 do
      Canvas.Draw(i*80-80, j*50-50, T);
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  T := TBitmap.Create;
  T.LoadFromFile('256color.bmp');
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  T.Free;
end;

procedure TMainForm.Timer1Timer(Sender: TObject);
  var i: Integer;
      C: Char;
      S: String;
begin
  Timer1.Interval:=500 div (Speed+1);
  Pos:=Pos+1;
  if Edit1.Text<>'' then Button1.Enabled:=True
    else Button1.Enabled:=False;
  if Pos<=Length(Txt) then Panel1.Caption:=Panel1.Caption+Txt[Pos]
    else Panel1.Caption:=Panel1.Caption+' ';
  if Pos>Length(Txt)+130 then begin
    Pos:=0;
    Panel1.Caption:='';
  end;
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
  SearchFile.Show;
end;

procedure TMainForm.Button2Click(Sender: TObject);
begin
  Memo1.Lines.SaveToFile(Edit1.Text);
end;

procedure TMainForm.Edit1Change(Sender: TObject);
begin
  FileName:=Edit1.Text;
end;

procedure TMainForm.Button4Click(Sender: TObject);
begin
  Params.Show;
end;

end.
